# Ugly hack monkey patches to get the test runners to return successes
# as well as failures

def addFailure(self, test, err):
    """Called when an error has occurred. 'err' is a tuple of values as
    returned by sys.exc_info()."""
    self.failures.append((test, self._exc_info_to_string(err, test)))
    print "Result: Failure:", test.id()
    
def addSuccess(self, test):
    "Called when a test has completed successfully"
    print "Result: Success:", test.id()
    pass

def addError(self, test, err):
    """Called when an error has occurred. 'err' is a tuple of values as
    returned by sys.exc_info().
    """
    print "Result: Error:", test.id()
    self.errors.append((test, self._exc_info_to_string(err, test)))


from unittest import TestResult
TestResult.addFailure = addFailure
TestResult.addSuccess = addSuccess
TestResult.addError = addError    

def addSuccess(self, test):
    import unittest
    if self.options.verbose > 2:
        t = max(time.time() - self._start_time, 0.0)
        s = " (%.3f ms)" % t
        sys.stdout.write(s)
        self.test_width += len(s) + 1
    unittest.TestResult.addSuccess(self, test)

try:
    from zope.testing.testrunner.runner import TestResult
except ImportError:
    from zope.testing.testrunner import TestResult
    
TestResult.addSuccess = addSuccess
